monolog:
    channels: [payment]
    handlers:
        main:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: debug
            channels: ["!event"]
        doctrine:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.doctrine.log"
            level: debug
            channels: doctrine
        mailer:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.mailer.log"
            level: debug
            channels: mailer
        payment:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.payment.log"
            level: debug
            channels: payment
        # uncomment to get logging in your browser
        # you may have to allow bigger header sizes in your Web server configuration
        #firephp:
        #    type: firephp
        #    level: info
        #chromephp:
        #    type: chromephp
        #    level: info
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine", "!console"]